using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableEggs : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x1AD4;
		}

		public override Item GetCropObject()
		{
			Eggs eggs = new Eggs();

			eggs.Amount = Utility.RandomMinMax(3,5);

			return eggs;
		}

		public override int GetPickedID()
		{
			return 0x1AD5;
		}

		[Constructable]
		public FarmableEggs() : base( GetCropID() )
		{
			Name = "nest";
		}

		public FarmableEggs( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}